2008-09-22 12:23  rjongbloed

	* [r21130] version.h:
	  Update version number for beta v3.4.2

2008-09-22 16:31  ms30002000

	* [r21132] Makefile.in, configure, configure.ac, opal.m4,
	  opal_defs.mak.in, plugins/configure:
	  Fix system speex detection.

2008-09-22 16:48  ms30002000

	* [r21134] configure, configure.ac, opal.m4, plugins/configure:
	  Simplify setting of LIBS and CFLAGS.

2008-09-22 19:29  ms30002000

	* [r21139] plugins/video/H.261-vic/vic/bsd-endian.h:
	  Fix H.261 on solaris.
	  Thanks to Elaine Xiong from SUN.

2008-09-23 23:16  rjongbloed

	* [r21143] src/java/OpalParamSetUserData.java,
	  src/java/OpalSilenceDetectMode.java,
	  src/java/SWIGTYPE_p_f_p_q_const__char_p_q_const__char_p_q_const__char_p_void_p_void_int__int.java,
	  src/java/SWIGTYPE_p_void.java, src/java/java_msvc_wrapper.c:
	  Fixed line endings

2008-09-24 00:16  rjongbloed

	* [r21146] ., src/h323/h323.cxx:
	  Fixed inclusion of RFC2833 (DTMF) capability in H.323 calls,
	  thanks Hannes Friederich

2008-09-24 01:14  rjongbloed

	* [r21148] plugins/LID/CAPI/CAPI_2008.vcproj,
	  plugins/LID/CM_HID/cm_hid_2008.vcproj,
	  plugins/LID/IxJ/IxJ_2008.vcproj,
	  plugins/LID/TigerJet/TJ_2008.vcproj,
	  plugins/LID/VPB/VPB_2008.vcproj,
	  plugins/LID/WinXP_HID/winxp_hid_2008.vcproj,
	  plugins/LID/WinXP_HID/winxp_train_2008.vcproj,
	  plugins/audio/EasyCodec/EasyG7231_2008.vcproj,
	  plugins/audio/EasyCodec/EasyG728_2008.vcproj,
	  plugins/audio/EasyCodec/EasyG729A_2008.vcproj,
	  plugins/audio/G726/G726_2008.vcproj,
	  plugins/audio/GSM0610/gsm0610_2008.vcproj,
	  plugins/audio/IMA_ADPCM/IMA_ADPCM_2008.vcproj,
	  plugins/audio/LPC_10/LPC_10_2008.vcproj,
	  plugins/audio/Speex/Speex_2008.vcproj,
	  plugins/audio/VoiceAgeG729/VoiceAgeG729_2008.vcproj,
	  plugins/audio/gsm-amr/gsmamr_2008.vcproj,
	  plugins/audio/iLBC/ilbccodec_2008.vcproj,
	  plugins/plugins_2008.sln,
	  plugins/video/H.261-vic/h261vic_2008.vcproj,
	  plugins/video/H.263-ffmpeg/h263ffmpeg_2008.vcproj,
	  samples/c_api/c_api_2003.vcproj, samples/c_api/c_api_2005.vcproj,
	  samples/c_api/c_api_2008.vcproj,
	  samples/callgen/callgen_2003.vcproj,
	  samples/callgen/callgen_2005.vcproj,
	  samples/callgen/callgen_2008.vcproj,
	  samples/codectest/codectest_2003.vcproj,
	  samples/codectest/codectest_2005.vcproj,
	  samples/codectest/codectest_2008.vcproj,
	  samples/mfc/mfc_2008.vcproj, samples/opalgw/opalgw.vcproj,
	  samples/opalgw/opalgw_2005.vcproj,
	  samples/opalgw/opalgw_2008.vcproj,
	  samples/openphone/OpenPhone.vcproj,
	  samples/openphone/OpenPhone_2005.sln,
	  samples/openphone/OpenPhone_2005.vcproj,
	  samples/openphone/OpenPhone_2008.vcproj,
	  samples/openphone/Uninstall.bat,
	  samples/playrtp/playrtp_2003.vcproj,
	  samples/playrtp/playrtp_2005.vcproj,
	  samples/playrtp/playrtp_2008.vcproj,
	  samples/playyuv/playyuv_2005.vcproj,
	  samples/simple/simple.vcproj, samples/simple/simpleDLL.vcproj,
	  samples/simple/simpleDLL_2005.vcproj,
	  samples/simple/simpleDLL_2008.vcproj,
	  samples/simple/simple_2005.vcproj,
	  samples/simple/simple_2008.vcproj, src/win32/CopyDTF_2003.bat,
	  src/win32/CopyDTF_2005.bat, src/win32/opal_dll.vcproj,
	  src/win32/opal_dll_2005.vcproj, src/win32/opal_dll_2008.vcproj,
	  src/win32/opal_lib.vcproj, src/win32/opal_lib_2005.vcproj,
	  src/win32/opal_lib_2008.vcproj:
	  Fixed line endings

2008-09-25 00:57  rjongbloed

	* [r21151] src/opal/opal_c.cxx:
	  Fixed bug in "C" API when message callback function is used
	  instead of the normal message queue. Thanks Yuriy Cherniavsky

2008-09-25 01:00  rjongbloed

	* [r21152] src/sip/sipcon.cxx:
	  Fixed SIP INVITE loop detection, forked INVITE request arriving
	  over multiple paths.

2008-09-25 01:30  rjongbloed

	* [r21155] src/h323/h323.cxx:
	  Applied patch:
	  
	  [ 2119085 ] "userinput" disables "fax" for H.323
	  
	  Thanks Vyacheslav Frolov

2008-09-25 03:03  rjongbloed

	* [r21158] include/h323/h323caps.h, include/opal/mediafmt.h,
	  include/opal/mediatype.h, samples/codectest/main.cxx,
	  samples/opalcodecinfo/main.cxx, samples/openphone/main.cxx,
	  samples/openphone/main.h, samples/playrtp/main.cxx,
	  samples/simple/main.cxx, src/codec/opalpluginmgr.cxx,
	  src/codec/rfc2833.cxx, src/h323/gkclient.cxx, src/h323/h323.cxx,
	  src/h323/h323caps.cxx, src/h323/h323rtp.cxx, src/lids/lidep.cxx,
	  src/opal/call.cxx, src/opal/connection.cxx, src/opal/ivr.cxx,
	  src/opal/mediatype.cxx, src/opal/opal_c.cxx, src/opal/pcss.cxx,
	  src/opal/rtpconn.cxx, src/sip/sipcon.cxx, src/t38/sipt38.cxx:
	  Removed last vestiges of numerical media types (e.g.
	  OpalMediaFormat::DefaultAudioSessionID) and replaced with
	  OpalMediaType class.
	  
	  Note some parts of H.323 still use the numerical form as it is
	  fundamental to the protocol so H323Capability has acquired the
	  DefaultAudioSessionID etc enumeration.

2008-09-25 06:43  rjongbloed

	* [r21164] ., include/opal/ivr.h, opal_samples_2005.sln,
	  samples/ivropal, samples/ivropal/IvrOPAL_2003.vcproj,
	  samples/ivropal/IvrOPAL_2005.vcproj,
	  samples/ivropal/IvrOPAL_2008.vcproj, samples/ivropal/Makefile,
	  samples/ivropal/main.cxx, samples/ivropal/main.h,
	  samples/ivropal/precompile.cxx, samples/ivropal/precompile.h,
	  src/opal/call.cxx, src/opal/ivr.cxx:
	  Added IVR sample application.
	  
	  Fixed IVR media format list being altered by
	  OpalCall::OpenSourceMediaStreams() due to container class
	  referencing single instance.
	  
	  Fixed release of the call when audio channel ends. IVR cannot
	  continue when no more audio being sent.
	  
	  Fixed local party URL so does not use a username (meaningless),
	  but uses the VXML reference as the part after the "ivr:".

2008-09-25 08:07  rjongbloed

	* [r21169] ., samples/ivropal/main.cxx:
	  Added parameter to ivropal set the SIP or H.323 listening
	  interfaces

2008-09-27 11:36  ms30002000

	* [r21170] plugins/video/H.264/gpl/Makefile.in:
	  Fix static x264 compilation.

2008-09-28 10:16  ms30002000

	* [r21178] plugins/video/H.264/h264pipe_win32.cxx:
	  Fix H.264 helper filename on windows.

2008-09-29 06:16  rjongbloed

	* [r21184] include/h323/h323trans.h, include/opal/endpoint.h,
	  include/opal/transports.h, include/sip/handlers.h,
	  include/sip/sippdu.h, src/h323/h323trans.cxx,
	  src/opal/endpoint.cxx, src/opal/transports.cxx,
	  src/sip/handlers.cxx, src/sip/sipep.cxx, src/sip/sippdu.cxx:
	  Fixed several SIP compliance issues:
	  
	  Mechanism for forking (over multiple interfaces) the register was
	  incorrect, The specification is typically vague on the subject as
	  it only goes in to detail on forking with respect to INVITE.
	  However the new technique is believed to be compliant by me at
	  least!
	  
	  When registering, should include all possible interfaces.
	  Especially UDP and TCP should both be registered.
	  
	  When registering should also do the appropriate STUN handling,
	  depending on if registrar is "inside" or "outside".
	  
	  Parsing of a URI that is quoted by <> but has no "" based display
	  name was incorrect and would the URI as display name.
	  
	  Parsing of sips URI when quoted by <> would fail completely.
	  
	  Creation of a sips URI from username and transport address was
	  broken as well. When fixing this also prevented default transport
	  from being included in URI.
	  
	  Added mutex when writing simultaneous transactions to same
	  transport, could sometimes cause packet to go out incorrect
	  interface.

2008-09-29 09:38  rjongbloed

	* [r21188] src/lids/lidep.cxx:
	  Fixed incorrect LID caller line ID field being used for display
	  name.

2008-09-30 04:04  rjongbloed

	* [r21194] ., src/h323/channels.cxx, src/h323/h323.cxx:
	  Fixed crash if H.323 OLC opens codec that fails to be createad
	  late in the process.

2008-10-01 19:18  ms30002000

	* [r21206] opal.m4, plugins/aclocal.m4, plugins/configure,
	  plugins/video/H.263-1998/h263-1998.cxx,
	  plugins/video/MPEG4-ffmpeg/mpeg4.cxx,
	  plugins/video/common/dyna.cxx:
	  Adapt to libavcodec's new interface 52.

2008-10-01 19:38  dsandras

	* [r21209] src/sip/handlers.cxx:
	  Also trigger the presence callback when the NOTIFY body is empty.
	  It is desirable for the client to know something happened.

2008-10-02 23:01  rjongbloed

	* [r21223] ., samples/openphone/ReadMe.txt:
	  Update wxWidgets version in OpenPhone ReadMe.txt instructions.

2008-10-03 11:48  rjongbloed

	* [r21231] ., src/h323/h323.cxx, src/h323/h323caps.cxx,
	  src/h323/h323neg.cxx, src/h323/h323rtp.cxx:
	  Fixed interoperability issues with Cisco call manager, working
	  around an annoying bug with the Cisco.

2008-10-03 12:08  ms30002000

	* [r21233] Makefile.in, configure, opal.m4:
	  Killed the ununsed .major and .major.minor symlinks.
	  The SONAME has always referred to the .major.minor.build lib

2008-10-03 12:46  rjongbloed

	* [r21235] ., samples/openphone/main.cxx,
	  samples/openphone/openphone.rc, samples/openphone/version.h:
	  Fixed OpenPhone about box.

2008-10-06 18:22  ms30002000

	* [r21242] plugins/video/H.264/gpl/h264helper_unix.cxx,
	  plugins/video/H.264/gpl/h264helper_win32.cxx,
	  plugins/video/H.264/h264pipe_unix.cxx,
	  plugins/video/H.264/h264pipe_win32.cxx:
	  Fix H.264 flags to request I-frames thanks to Mauro Davi.

2008-10-06 23:40  rjongbloed

	* [r21245] ., src/lids/lidep.cxx:
	  Improved LID logging so indicates reason why line was not
	  selected.

2008-10-07 05:37  rjongbloed

	* [r21248] ., include/codec/opalplugin.h,
	  src/codec/opalpluginmgr.cxx:
	  Added some H.261 and H.263 annexes to H.263

2008-10-07 06:26  rjongbloed

	* [r21250] ., samples/openphone/main.cxx:
	  

2008-10-07 09:59  rjongbloed

	* [r21252] ., samples/codectest/main.cxx:
	  Added command line argument to codec tester so can adjust any
	  media option on the encoder.

2008-10-07 10:08  rjongbloed

	* [r21253] samples/openphone/main.cxx, samples/openphone/main.h,
	  samples/openphone/openphone.wxg, samples/openphone/openphone.xrc:
	  Added OpenPhone menu and dialog to do transmit video control, in
	  particular, changing the target bit rate.

2008-10-07 13:10  rjongbloed

	* [r21261] ., samples/openphone/main.cxx:
	  Reversed stupid change

2008-10-08 02:14  rjongbloed

	* [r21265] include/opal/patch.h, src/opal/mediafmt.cxx,
	  src/opal/mediastrm.cxx, src/opal/patch.cxx:
	  Fixed issue with propagating changes to media options to
	  transcoders and streams in a patch.

2008-10-08 02:34  rjongbloed

	* [r21266] samples/openphone/main.cxx, samples/openphone/main.h,
	  samples/openphone/openphone.wxg, samples/openphone/openphone.xrc:
	  Added video frame rate to OpenPhone statistics.

2008-10-08 05:37  rjongbloed

	* [r21270] src/lids/lidep.cxx:
	  Fixed phantom "busy" detect in LID.
	  
	  Fixed incorrect line type (pots/pstn) selection.
	  
	  Fixed using any line if cannot find specificity requested line,
	  should return "busy" if the line is not available.

2008-10-09 15:12  rjongbloed

	* [r21276] ., include/lids/lidep.h, src/lids/lid.cxx,
	  src/lids/lidep.cxx:
	  Changed ring detect so increments count on "rising edge" of ring
	  cadence. Reduces delay after caller ID is received and routing
	  call.
	  
	  Added function to get at OpalLine from OpalLineConnection.

2008-10-11 07:10  rjongbloed

	* [r21283] configure.ac, include/asn/gcc.h, include/asn/h225.h,
	  include/asn/h235.h, include/asn/h245.h, include/asn/h4501.h,
	  include/asn/h45010.h, include/asn/h45011.h, include/asn/h4502.h,
	  include/asn/h4503.h, include/asn/h4504.h, include/asn/h4505.h,
	  include/asn/h4506.h, include/asn/h4507.h, include/asn/h4508.h,
	  include/asn/h4509.h, include/asn/h501.h, include/asn/mcs.h,
	  include/asn/t38.h, include/asn/x880.h,
	  include/codec/echocancel.h, include/codec/g711a1_plc.h,
	  include/codec/g711codec.h, include/codec/opalplugin.h,
	  include/codec/opalpluginmgr.h, include/codec/opalwavfile.h,
	  include/codec/rfc2833.h, include/codec/rfc4175.h,
	  include/codec/silencedetect.h, include/codec/vidcodec.h,
	  include/h224/h224.h, include/h224/h224handler.h,
	  include/h224/h281.h, include/h224/h281handler.h,
	  include/h224/h323h224.h, include/h224/q922.h,
	  include/h323/channels.h, include/h323/gkclient.h,
	  include/h323/gkserver.h, include/h323/h225ras.h,
	  include/h323/h235auth.h, include/h323/h323.h,
	  include/h323/h323annexg.h, include/h323/h323caps.h,
	  include/h323/h323con.h, include/h323/h323ep.h,
	  include/h323/h323neg.h, include/h323/h323pdu.h,
	  include/h323/h323rtp.h, include/h323/h323trans.h,
	  include/h323/h450pdu.h, include/h323/h501pdu.h,
	  include/h323/peclient.h, include/h323/q931.h,
	  include/h323/svcctrl.h, include/h323/transaddr.h,
	  include/h460/h460.h, include/h460/h4601.h, include/h460/h460p.h,
	  include/h460/h460pres.h, include/h460/h460tm.h,
	  include/iax2/callprocessor.h, include/iax2/causecode.h,
	  include/iax2/frame.h, include/iax2/iax2.h,
	  include/iax2/iax2con.h, include/iax2/iax2ep.h,
	  include/iax2/iax2jitter.h, include/iax2/iax2medstrm.h,
	  include/iax2/iedata.h, include/iax2/ies.h,
	  include/iax2/processor.h, include/iax2/receiver.h,
	  include/iax2/regprocessor.h, include/iax2/remote.h,
	  include/iax2/safestrings.h, include/iax2/sound.h,
	  include/iax2/specialprocessor.h, include/iax2/transmit.h,
	  include/iax2/version.h, include/lids/lid.h, include/lids/lidep.h,
	  include/lids/lidplugin.h, include/lids/lidpluginmgr.h,
	  include/opal.h, include/opal/audiorecord.h,
	  include/opal/buildopts.h.in, include/opal/call.h,
	  include/opal/connection.h, include/opal/endpoint.h,
	  include/opal/guid.h, include/opal/ivr.h, include/opal/localep.h,
	  include/opal/manager.h, include/opal/mediacmd.h,
	  include/opal/mediafmt.h, include/opal/mediastrm.h,
	  include/opal/mediatype.h, include/opal/opalmixer.h,
	  include/opal/opalvxml.h, include/opal/patch.h,
	  include/opal/pcss.h, include/opal/rtpconn.h,
	  include/opal/rtpep.h, include/opal/transcoders.h,
	  include/opal/transports.h, include/rtp/jitter.h,
	  include/rtp/rtp.h, include/rtp/srtp.h, include/rtp/zrtpudp.h,
	  include/sip/handlers.h, include/sip/sdp.h, include/sip/sip.h,
	  include/sip/sipcon.h, include/sip/sipep.h, include/sip/sippdu.h,
	  include/t120/h323t120.h, include/t120/t120proto.h,
	  include/t120/x224.h, include/t38/h323t38.h, include/t38/sipt38.h,
	  include/t38/t38proto.h, include/zrtp/opalzrtp.h,
	  include/zrtp/zrtpeventproc.h, samples/c_api/main.c,
	  samples/callgen/main.cxx, samples/faxopal/main.cxx,
	  samples/ivropal/main.cxx, samples/jester/main.h,
	  samples/mfc/mfcEndPoint.cpp, samples/opalcodecinfo/main.cxx,
	  samples/opalgw/gkserv.cxx, samples/opalgw/main.cxx,
	  samples/opalgw/main.h, samples/openphone/main.cxx,
	  samples/openphone/main.h, src/iax2/callprocessor.cxx,
	  src/iax2/frame.cxx, src/iax2/iax2con.cxx, src/iax2/iax2ep.cxx,
	  src/iax2/iax2jitter.cxx, src/iax2/iax2medstrm.cxx,
	  src/iax2/iedata.cxx, src/iax2/ies.cxx, src/iax2/processor.cxx,
	  src/iax2/receiver.cxx, src/iax2/regprocessor.cxx,
	  src/iax2/remote.cxx, src/iax2/safestrings.cxx,
	  src/iax2/sound.cxx, src/iax2/specialprocessor.cxx,
	  src/iax2/transmit.cxx, src/opal/rtpconn.cxx,
	  src/t120/t120proto.cxx, src/win32/opal_lib_2005.vcproj:
	  Fixed DevStudio compile/link issues with some options removed, in
	  particular IAX2 and H.323. Have gone through every header file
	  and made sure that they are all subject to the #defines in
	  opal/buildops.h. Reported by Giorgio Alfarano.
	  
	  Also made sure they all have consistent #defines for multiple
	  inclusion, reported by Stefano Sabatini.

2008-10-11 07:21  rjongbloed

	* [r21284] src/h323/gkserver.cxx, src/h323/h323annexg.cxx,
	  src/h323/h501pdu.cxx, src/h323/peclient.cxx:
	  Fixed DevStudio compile/link issues with some options removed, in
	  particular IAX2 and H.323. Have gone through every header file
	  and made sure that they are all subject to the #defines in
	  opal/buildops.h. Reported by Giorgio Alfarano.
	  
	  Also made sure they all have consistent #defines for multiple
	  inclusion, reported by Stefano Sabatini.

2008-10-12 14:50  dsandras

	* [r21288] include/sip/sipep.h, src/sip/sipep.cxx:
	  Backport from TRUNK.

2008-10-13 02:29  rjongbloed

	* [r21298] include/sip/sippdu.h, src/sip/handlers.cxx,
	  src/sip/sippdu.cxx:
	  Fixed numerous retries using the same authentication credentials.
	  If the first time doesn't work due to bad username or password
	  and nothing changes then is highly unlikely to work one of the
	  other 9 times it retries!

2008-10-13 02:53  rjongbloed

	* [r21300] src/sip/handlers.cxx:
	  Added priority field when have multiple interfaces being
	  registered. Always prioritise the interface the register as being
	  talked to on.

2008-10-13 05:39  rjongbloed

	* [r21303] src/opal/endpoint.cxx:
	  Fixed listening interfaces port when mapped by STUN being
	  included as first interface in the listener list.

2008-10-13 07:06  rjongbloed

	* [r21307] include/sip/sippdu.h, src/sip/sippdu.cxx:
	  Fixed problem in forked INVITE where remote can be seen my
	  multiple interfaces, a race exists between CANCEL of second
	  dialog and it being accepted by the remote server with a 200 OK.

2008-10-13 07:37  rjongbloed

	* [r21309] src/sip/sipcon.cxx:
	  Fixed numerous retries using the same authentication credentials.
	  If the first time doesn't work due to bad username or password
	  and nothing changes then is highly unlikely to work one of the
	  other 9 times it retries!

2008-10-13 08:13  rjongbloed

	* [r21311] src/sip/sipep.cxx:
	  Change error for a SIP BYE on a call already destroyed from "405
	  Method not allowed" to more reasonable "481 Transaction/call does
	  not exist"

2008-10-14 07:22  rjongbloed

	* [r21326] opal_2005.sln, samples/mobileopal/MobileOPAL.vcproj,
	  samples/mobileopal/MobileOpalDlg.cpp,
	  samples/simple/simpleDLL_2005.vcproj,
	  samples/simple/simple_2005.vcproj,
	  src/win32/opal_dll_2005.vcproj, src/win32/opal_lib_2005.vcproj:
	  Windows Mobile build fixes

2008-10-14 10:47  rjongbloed

	* [r21327] include/lids/lid.h:
	  Added user defined tone in LIDs.

2008-10-14 18:12  dsandras

	* [r21329] src/sip/handlers.cxx:
	  Backport from TRUNK.

2008-10-14 18:15  dsandras

	* [r21330] src/sip/sdp.cxx:
	  Backport from TRUNK (Deal with endpoints that use spaces and ; as
	  seperators in the same FMTP string. Sheesh!).

2008-10-14 22:18  rjongbloed

	* [r21331] src/sip/handlers.cxx:
	  

2008-10-15 00:39  rjongbloed

	* [r21333] src/opal/transports.cxx:
	  Fixed some Linux weirdness where the first attempt to do TCP
	  listen exclusive prevents the second attempt to listen with
	  REUSEADDR flag set. The reason the code tries one and then the
	  other is lost in the mists of time, so lets just make it do one
	  OR the other and see what gives.
	  
	  Also, fixed being able to specify socket re-use address mode (a
	  trailing '+' in address string) without a port. Now something
	  like "*+" will work, listening on all interfaces in non-exclusive
	  mode.

2008-10-16 00:31  csoutheren

	* [r21352] src/opal/manager.cxx:
	  Fix second case where simpleopal tries to use SDL for both output
	  and preview video
	  Backport from trunk

2008-10-16 04:29  rjongbloed

	* [r21359] src/sip/handlers.cxx, src/sip/sipcon.cxx:
	  Fixed race condition where if reply from SIP server is so fast
	  that it gets in before the second PDU of a forked query, the
	  second PDU is sent via the incorrect interface.

2008-10-16 09:40  rjongbloed

	* [r21367] src/lids/lid.cxx:
	  Fixed printing of new LID tone.

2008-10-16 10:04  rjongbloed

	* [r21369] src/lids/lidep.cxx:
	  Fixed missing party B address when originating PSTN call.

